function p.__get_is_solid()
    return true
end

function p.__get_tex()
    return "block_bathroom2"
end

function p.__main()
    set_default_block("r_bathroom2")
    
    std.create_half_tube(3, "y_neg", "e")
    std.create_half_tube(3, "z_pos", "e")
    std.create_half_tube(3, "x_neg", "e")
    std.create_center(5,"e")
    
    local msg_str = "Go UP to learn about "
        .. "how the program handles errors.\n\n"
        .. "Go LEFT to learn how to create your own meshes. "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)
end
